Bug 1678387 - Review Request: python-flask-caching - Adds caching support to your Flask application
Summary: Review Request: python-flask-caching - Adds caching support to your Flask app...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-18 16:44 UTC by Lukas Brabec
Modified: 2019-10-31 20:13 UTC (History)
4 users (show)

Fixed In Version: python-flask-caching-1.7.2-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-31 20:13:28 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Comment 1 Hirotaka Wakabayashi 2019-02-21 00:34:15 UTC
Hello, this is not a complete review, but I hope it helps to saves someone's
time.

Summary
=======

1. rpmlint results(No errors and no warnings)
2. Koji scratch build succeeded

Details
=======

1. rpmlint results(No errors and no warnings)
---------------------------------------------

Here are the results of rpmlint. No errors and warnings found.

$ rpmlint -i /home/vagrant/rpmbuild/RPMS/noarch/python3-flask-caching-1.4.0-1.fc29.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint -i /home/vagrant/rpmbuild/RPMS/noarch/python-flask-caching-doc-1.4.0-1.fc29.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint -i python-flask-caching.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
$ rpmlint -i /home/vagrant/rpmbuild/SRPMS/python-flask-caching-1.4.0-1.fc29.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


2. Koji scratch build succeeded
-------------------------------

Here is the result of "koji build --scratch rawhide python-flask-caching-1.4.0-1.fc29.src.rpm"
https://koji.fedoraproject.org/koji/taskinfo?taskID=32923263

Here is how to run a Koji scratch build. A koji successful build shows that
your package built correctly.
https://fedoraproject.org/wiki/Using_the_Koji_build_system#Scratch_Builds

Thanks in advance,
Hirotaka Wakabayashi

Comment 2 Raphael Groner 2019-02-21 21:00:44 UTC
ARe you interested in a review swap? Maybe take a look into bug #1469767 or bug #1563831.

Comment 3 Robert-André Mauchin 2019-02-24 18:04:59 UTC
 - Bump to 1.5.0, released yesterday

 - It would be nice to run the tests with Pytest, they are not included within the Pypi archive but are in the Github one.


Package approved otherwise.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (unspecified)", "BSD 3-clause "New" or "Revised" License",
     "Unknown or generated". 28 files have unknown license. Detailed output
     of licensecheck in /home/bob/packaging/review/python-flask-caching
     /review-python-flask-caching/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python3
     -flask-caching , python-flask-caching-doc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-flask-caching-1.4.0-1.fc31.noarch.rpm
          python-flask-caching-doc-1.4.0-1.fc31.noarch.rpm
          python-flask-caching-1.4.0-1.fc31.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 4 František Zatloukal 2019-06-17 12:04:54 UTC
@Lukas, here is an updated (1.7.2) SPEC: https://paste.fedoraproject.org/paste/caxyd9TAjc8ueKkgwly6fA

Tomorrow, it should be build-able even without updates-testing ( https://bodhi.fedoraproject.org/updates/FEDORA-2019-36939f15e6 ) . Tests are enabled there.

Comment 6 František Zatloukal 2019-10-03 07:11:58 UTC
Robert, any chance you can take a look at this?

Thanks!

Comment 7 Robert-André Mauchin 2019-10-05 14:02:52 UTC
I already approved this package… the tests runs fine now (97 passed, 70 skipped in 87.03 seconds).

Comment 8 Gwyn Ciesla 2019-10-31 14:47:47 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-flask-caching

Comment 9 Ben Cotton 2019-10-31 18:42:28 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 František Zatloukal 2019-10-31 20:13:28 UTC
Fixed by python-flask-caching-1.7.2-1.fc32


Note You need to log in before you can comment on or make changes to this bug.